This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 443734 - Review Request: bytelist - A java library for lists of bytes
Review Request: bytelist - A java library for lists of bytes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 417511 443750
  Show dependency treegraph
 
Reported: 2008-04-22 22:53 EDT by Conrad Meyer
Modified: 2008-04-24 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 20:38:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-04-22 22:53:15 EDT
URLs:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/bytelist.spec
SRPM: http://konradm.fedorapeople.org/fedora/SRPMS/bytelist-0.1-0.1.svn6558.fc8.src.rpm
Description:
A small java library for manipulating lists of bytes.


Note: this is a dependency of JRuby 1.1.1. It's *very* small and should be extremely quick to review.

I've built it in Koji (no missing BR's) at http://koji.fedoraproject.org/koji/taskinfo?taskID=577074 .
Comment 1 Mamoru TASAKA 2008-04-24 11:01:33 EDT
According to the recent Java packaging guidelines, jar name should
be %{name}.jar ?
Comment 3 Mamoru TASAKA 2008-04-24 14:41:04 EDT
Okay. This is a very small package (only 3 files are in tarball)
and

- follow packaging guidelines (especially Java), srpm okay
- build on dist-f9
- can be installed

--------------------------------------------------------------
    This package (bytelist) is APPROVED by me
--------------------------------------------------------------
Comment 4 Conrad Meyer 2008-04-24 14:56:50 EDT
New Package CVS Request
=======================
Package Name: bytelist
Short Description: A java library for lists of bytes
Owners: konradm
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 5 Colin Walters 2008-04-24 15:04:35 EDT
Quick thing - can we add 

%check
ant test
Comment 6 Jason Tibbitts 2008-04-24 15:22:11 EDT
CVS done.
Comment 7 Conrad Meyer 2008-04-24 20:38:48 EDT
Built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.